solscan logo
Register NowRegister Now

account portfolio

get

https://pro-api.solscan.io/v2.0/account/portfolio

Get the portfolio for a given address.

QUERY PARAMS

address

string

required

A wallet address on solana blockchain

exclude_low_score_tokens

boolean

Excludes tokens with low reputation scores

RESPONSES

200

OK

Response Body (application/json)

success

boolean

Status of Api

total_value

number

The total value of all tokens in USD

amount

number

The token raw amount

amount_str

string

The token raw amount in string format

balance

number

The token balance. Calculated by formula: balance = amount / (10 ^ decimals)

balance_str

string

The token balance in string format. Calculated by formula: balance = amount / (10 ^ decimals)

token_price

number

The token price in USD

token_decimals

number

The token decimal

token_name

string

The token name

token_symbol

string

The token symbol

token_icon

string

The token icon

value

number

The token value in USD

token_address

string

The token address

amount

number

The token raw amount

amount_str

string

The token raw amount in string format

balance

number

The token balance. Calculated by formula: balance = amount / (10 ^ decimals)

balance_str

string

The token balance in string format. Calculated by formula: balance = amount / (10 ^ decimals)

token_price

number

The token price in USD

token_decimals

number

The token decimal

token_name

string

The token name

token_symbol

string

The token symbol

token_icon

string

The token icon

value

number

The token value in USD

position_id

string

Unique identifier of the liquidity position.

created_time

number

The Unix time when the position was created.

token_address

string

Mint address of the LP token representing this liquidity position.

position_owner

string

Wallet address of the position owner.

position_value

number

Current total value of the position in USD.

pool_id

string

Address of the liquidity pool/market this position belongs to.

program

string

Program ID that manages this position.

position_type

string

Type of the position. Possible values: spot.

is_position_in_range

boolean

Indicates whether the current pool price is within the position's price range.

400

Bad Request

Response Body (application/json)

401

Authentication failed

Response Body (application/json)

429

Too Many Requests

Response Body (application/json)

500

Internal Server Error

Response Body (application/json)

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples